## haskell-sdl 0.6.2

=== Examples/MacOSX/Makefile ===
test: wrapper.o SDLWrapper.hs
	ghc -no-hs-main --make wrapper.o SDLWrapper.hs -o test
SDLWrapper_stub.h: SDLWrapper.hs
	ghc -no-hs-main --make SDLWrapper.hs -c
wrapper.o: SDLWrapper_stub.h
	ghc -no-hs-main `sdl-config --cflags` -Wall wrapper.c -c
clean:
	rm -f *.hi *.o *_stub.c *_stub.h test
.PHONY: clean

=== debian/changelog ===
haskell-sdl (0.6.2-2build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Nov 2011 00:14:47 +0000

haskell-sdl (0.6.2-2build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Wed, 08 Jun 2011 16:28:01 +0100

haskell-sdl (0.6.2-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * Remove doc-base file per Haskell policy

 -- Joachim Breitner <nomeata@debian.org>  Tue, 24 May 2011 15:48:21 +0200

haskell-sdl (0.6.2-1) unstable; urgency=low

  * New upstream.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 23 Jun 2010 17:47:14 +1000

haskell-sdl (0.5.10-2) unstable; urgency=low

  * Add haskell:Provides substvar

 -- Joachim Breitner <nomeata@debian.org>  Sun, 02 May 2010 17:43:26 +0200

haskell-sdl (0.5.10-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/copyright: Correct typo.

  [ Erik de Castro Lopo ]
  * New upstream.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 28 Apr 2010 19:37:44 +1000

haskell-sdl (0.5.9-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release. Closes: #567719
    Based on a package by Christoph Korn <christoph.korn@getdeb.net>

  [ Marco Túlio Gontijo e Silva ]
  * Use debian/compat 7.
  * debian/source/format: Use 3.0 (quilt).
  * debian/control: Use Build-Depends-Indep:.
  * debian/control: Use Vcs-Browser:.
  * debian/control: Use more synthetic Vcs-Darcs:.
  * debian/control: Use all haskell: variables.
  * debian/control: Use Section: doc in libghc6-sdl-doc.

  [ Erik de Castro Lopo ]
  * debian/control
    - Standards version 3.8.4.
    - Drop haddock and hscolour from Build-deps.
    - Depend haskell-devscripts >= 0.7.
    - Maintainer is Debian Haskell Group, Miriam Ruiz moved to Uploaders.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Sun, 28 Feb 2010 12:03:11 -0300

=== debian/control ===
Source: haskell-sdl
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Standards-Version: 3.8.4
Build-Depends:
 debhelper (>= 7),
 haskell-devscripts (>= 0.7),
 cdbs,
 ghc,
 ghc-prof,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libx11-dev,
 alex,
 c2hs,
 cpphs,
 pkg-config,
 libsdl1.2-dev
Build-Depends-Indep: ghc-doc
Homepage: http://hackage.haskell.org/package/SDL
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-sdl
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-sdl

Package: libghc-sdl-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends},
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libx11-dev,
 libsdl1.2-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell SDL binding for GHC
 This package provides the SDL library bindings for the Haskell programming
 language. SDL is a library that allows programs portable low level access
 to a video framebuffer, audio output, mouse, and keyboard.

Package: libghc-sdl-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell SDL binding for GHC - profiling libraries
 This package provides the SDL library bindings for the Haskell programming
 language, compiled for profiling. SDL is a library that allows programs
 portable low level access to a video framebuffer, audio output, mouse, and
 keyboard.

Package: libghc-sdl-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskell SDL binding for GHC - documentation
 This package provides the documentation for the SDL library bindings for
 the Haskell programming language. SDL is a library that allows programs
 portable low level access to a video framebuffer, audio output, mouse, and
 keyboard.

## haskell-sdl 0.6.3

=== debian/changelog ===
haskell-sdl (0.6.3-1build1) quantal; urgency=low

  * No-change rebuild for GHC 7.4.2

 -- Iain Lane <laney@ubuntu.com>  Sun, 26 Aug 2012 21:15:25 +0000

haskell-sdl (0.6.3-1) unstable; urgency=low

  * New upstream release

 -- Iain Lane <laney@debian.org>  Thu, 23 Feb 2012 20:03:43 +0000

## haskell-sdl 0.6.4

=== debian/changelog ===
haskell-sdl (0.6.4-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:56 +0200

haskell-sdl (0.6.4-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Oct 2012 23:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 Build-Depends:
- debhelper (>= 7),
- haskell-devscripts (>= 0.7),
+ debhelper (>= 9),
+ haskell-devscripts (>= 0.8.13),
  cdbs,
  ghc,
  ghc-prof,

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|SDL-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/SDL \
    ([\d\.]*\d)/

## haskell-sdl 0.6.5

=== debian/changelog ===
haskell-sdl (0.6.5-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:01 -0500

haskell-sdl (0.6.5-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:38 +0200

haskell-sdl (0.6.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:53:12 +0200

haskell-sdl (0.6.5-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release
  * Add ghc-7.8 compat patch

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 09:57:59 +0100

=== debian/control ===
Source: haskell-sdl
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libx11-dev,
 alex,
 c2hs,
 cpphs,
 pkg-config,
 libsdl1.2-dev,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: http://hackage.haskell.org/package/SDL
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-sdl-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libx11-dev,
 libsdl1.2-dev,
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell SDL binding for GHC
 This package provides the SDL library bindings for the Haskell programming
 language. SDL is a library that allows programs portable low level access
 to a video framebuffer, audio output, mouse, and keyboard.

Package: libghc-sdl-prof
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Haskell SDL binding for GHC - profiling libraries
 This package provides the SDL library bindings for the Haskell programming
 language, compiled for profiling. SDL is a library that allows programs
 portable low level access to a video framebuffer, audio output, mouse, and
 keyboard.

Package: libghc-sdl-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Haskell SDL binding for GHC - documentation
 This package provides the documentation for the SDL library bindings for
 the Haskell programming language. SDL is a library that allows programs
 portable low level access to a video framebuffer, audio output, mouse, and
 keyboard.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/SDL/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-sdl 0.6.5.1

=== debian/changelog ===
haskell-sdl (0.6.5.1-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Drop ghc-7.8-compat patch, fixed upstream
  * Set license to BSD-3-clause

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 04 Nov 2017 16:12:22 +0200

haskell-sdl (0.6.5-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:35:57 -0400

haskell-sdl (0.6.5-5) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 00:43:22 -0400

## haskell-sdl 0.6.6.0

=== Examples/MacOSX/Makefile ===
# build with sdl wrapper for mac osx (see mainc.c or hssdl/Examples/MacOSX)
PROGNAME=main
$(PROGNAME): mainc.o MainWrapper.hs Main.hs
	ghc -no-hs-main --make mainc.o MainWrapper.hs -o $@
mainc.o: mainc.c MainWrapper_stub.h
	ghc -no-hs-main `sdl-config --cflags` -Wall $*.c -c
MainWrapper_stub.h: MainWrapper.hs
	ghc -no-hs-main --make $< -c
clean:
	rm -f *.hi *.o *_stub.c *_stub.h $(PROGNAME)
.PHONY: clean
#

=== debian/changelog ===
haskell-sdl (0.6.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 18 Dec 2017 09:47:09 -0500

=== debian/control ===
Source: haskell-sdl
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
Priority: optional
Section: haskell
Build-Depends:
 alex,
 c2hs,
 cdbs,
 cpphs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libsdl1.2-dev,
 libx11-dev,
 pkg-config,
Build-Depends-Indep:
 ghc-doc,
Standards-Version: 4.1.1
Homepage: http://hackage.haskell.org/package/SDL
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-sdl
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-sdl-dev
Architecture: any
Depends:
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libsdl1.2-dev,
 libx11-dev,
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell SDL binding for GHC
 This package provides the SDL library bindings for the Haskell programming
 language. SDL is a library that allows programs portable low level access
 to a video framebuffer, audio output, mouse, and keyboard.

Package: libghc-sdl-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell SDL binding for GHC - profiling libraries
 This package provides the SDL library bindings for the Haskell programming
 language, compiled for profiling. SDL is a library that allows programs
 portable low level access to a video framebuffer, audio output, mouse, and
 keyboard.

Package: libghc-sdl-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Haskell SDL binding for GHC - documentation
 This package provides the documentation for the SDL library bindings for
 the Haskell programming language. SDL is a library that allows programs
 portable low level access to a video framebuffer, audio output, mouse, and
 keyboard.

=== debian/watch ===
version=3
https://hackage.haskell.org/package/SDL/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-sdl 0.6.7.0

=== debian/changelog ===
haskell-sdl (0.6.7.0-4) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 28 Aug 2023 21:51:47 +0300

haskell-sdl (0.6.7.0-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Sourceful upload for GHC 9.0.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 29 Jun 2022 20:45:45 +0300

haskell-sdl (0.6.7.0-2) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Fix "Upstream-Name" field in "debian/copyright" to match package
    name on hackage.

  [ Ilias Tsitsimpis ]
  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 14 Jun 2020 14:50:33 +0300

haskell-sdl (0.6.7.0-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 19:31:59 +0300

haskell-sdl (0.6.6.0-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:03 -0400

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
  Miriam Ruiz <little_miry@yahoo.es>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  alex,
  c2hs,
  cdbs,
  cpphs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libgl1-mesa-dev | libgl-dev,
@@ -20,10 +21,10 @@
  pkg-config,
 Build-Depends-Indep:
  ghc-doc,
-Standards-Version: 4.1.1
+Standards-Version: 4.6.2
 Homepage: http://hackage.haskell.org/package/SDL
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-sdl
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-sdl
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-sdl]
 
 Package: libghc-sdl-dev
 Architecture: any
